Skip to main content
GET
/
organizations
/
{organization_id}
/
discounts
List organization discounts
curl --request GET \
  --url {schemes}://api.upsun.com/organizations/{organization_id}/discounts \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": 123,
      "organization_id": "<string>",
      "type": "allowance",
      "type_label": "<string>",
      "status": "inactive",
      "commitment": {
        "months": 123,
        "amount": {
          "monthly": {
            "formatted": "<string>",
            "amount": 123,
            "currency_code": "<string>",
            "currency_symbol": "<string>"
          },
          "commitment_period": {
            "formatted": "<string>",
            "amount": 123,
            "currency_code": "<string>",
            "currency_symbol": "<string>"
          },
          "contract_total": {
            "formatted": "<string>",
            "amount": 123,
            "currency_code": "<string>",
            "currency_symbol": "<string>"
          }
        },
        "net": {
          "monthly": {
            "formatted": "<string>",
            "amount": 123,
            "currency_code": "<string>",
            "currency_symbol": "<string>"
          },
          "commitment_period": {
            "formatted": "<string>",
            "amount": 123,
            "currency_code": "<string>",
            "currency_symbol": "<string>"
          },
          "contract_total": {
            "formatted": "<string>",
            "amount": 123,
            "currency_code": "<string>",
            "currency_symbol": "<string>"
          }
        }
      },
      "total_months": 123,
      "discount": {
        "monthly": {
          "formatted": "<string>",
          "amount": 123,
          "currency_code": "<string>",
          "currency_symbol": "<string>"
        },
        "commitment_period": {
          "formatted": "<string>",
          "amount": 123,
          "currency_code": "<string>",
          "currency_symbol": "<string>"
        },
        "contract_total": {
          "formatted": "<string>",
          "amount": 123,
          "currency_code": "<string>",
          "currency_symbol": "<string>"
        }
      },
      "config": {},
      "start_at": "2023-11-07T05:31:56Z",
      "end_at": "2023-11-07T05:31:56Z"
    }
  ],
  "_links": {
    "self": {
      "href": "<string>"
    },
    "previous": {
      "href": "<string>"
    },
    "next": {
      "href": "<string>"
    }
  }
}

Authorizations

Authorization
string
header
required

Path Parameters

organization_id
string
required

The ID of the organization.
Prefix with name= to retrieve the organization by name instead.

Response

OK

items
object[]